try catch php
snippet in php

php try catch

user256


<?php
  
try {
	raiseErrorFunction();
	echo 'no error';
}
catch(Exception $e) {
	echo 'Message: ' . $e->getMessage();
}

?>

try catch php

user5294

function inverso($x) {
    if (!$x) {
        throw new Exception('Zero division.');
    }
    return 1/$x;
}

try {
    echo inverso(5) . "\n";
    echo inverso(0) . "\n";
} catch (Exception $e) {
    echo 'and the error is: ',  $e->getMessage(), "\n";
}

php throw exception

user4415

function inverse($x) {
    if (!$x) {
        throw new Exception('Division by zero.');
    }
    return 1/$x;
}

try catch in php

user5783

Try catch comes under exception handeling concept where using this we control the runtime error and modify the message as we want.

// function created with exception throw
function checkdata($number){
	if($number > 10){
    	throw new Exception("Number is greater than 10");
    }
    return true;
}

// try block starts
try{
	checkdata(15);
  	echo "The number is below 10";
}
// catch block
catch(Exception $e){
	echo "Message :".$e->getMessage();
}

In above code if condition is not satisfied then it will throw exception and which gets caught by catch block and show the error message. 

php catch exception

user4501


<?php
function inverse($x) {
    if (!$x) {
       throw new Exception('Division durch Null.');
    }
    return 1/$x;
}

try {
    echo inverse(5) . "\n";
    echo inverse(0) . "\n";
} catch (Exception $e) {
    echo 'Exception abgefangen: ',  $e->getMessage(), "\n";
}

// Ausführung fortsetzen
echo "Hallo Welt\n";
?>

php multiple catch exceptions

user4628

try
{
    // Some code...
}
catch(AError | BError $e)
{
    // Handle exceptions
}
catch(Exception $e)
{
    // Handle the general case
}